Bug 139477 - [MAINTAINER] audio/mpdas update to 0.2.5
Summary: [MAINTAINER] audio/mpdas update to 0.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-10 13:50 UTC by Henrik Friedrichsen
Modified: 2009-10-17 16:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.50 KB, patch)
2009-10-10 13:50 UTC, Henrik Friedrichsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henrik Friedrichsen 2009-10-10 13:50:00 UTC
This patch updates mpdas-0.2.5 which comes with a fixed Makefile to allow different PREFIX settings. It also has a few bugfixes and now installs an rc.d script.

Fix: Patch attached with submission follows:
Comment 1 Henrik Friedrichsen 2009-10-10 13:57:23 UTC
This PR also takes care of
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139463 so please
close it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-10-10 15:01:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

q
Comment 3 Martin Wilke freebsd_committer 2009-10-11 14:11:10 UTC
State Changed
From-To: open->feedback


Howdy Hendrik 

your rc.d script is wrong, You should please reread the porterhandbook 
to understand how rc.d script works right.  Also should you command 
convert to %%PREFIX%%.
Comment 4 Henrik Friedrichsen 2009-10-11 14:31:29 UTC
Thanks a lot for pointing that one out, miwi!

So here's the fixed diff:

--- mpdas.diff begins here ---
diff -Naur ./Makefile ../mpdas/Makefile
--- ./Makefile	2009-10-11 15:21:56.000000000 +0200
+++ ../mpdas/Makefile	2009-10-11 15:22:16.000000000 +0200
@@ -6,8 +6,7 @@
 #

 PORTNAME=	mpdas
-PORTVERSION=	0.2.4
-PORTREVISION=	2
+PORTVERSION=	0.2.5
 CATEGORIES=	audio
 MASTER_SITES=	http://50hz.ws/mpdas/

@@ -20,9 +19,18 @@
 USE_GNOME=	pkgconfig
 USE_BZIP2=	yes

+USE_RC_SUBR=	mpdas
+
+SUB_FILES=	pkg-message
+
 PLIST_FILES=	bin/mpdas

 MAN1=		mpdas.1
 MANCOMPRESSED=	no

+post-install:
+	@${ECHO_MSG}
+	@${CAT} ${PKGMESSAGE}
+	@${ECHO_MSG}
+
 .include <bsd.port.mk>
diff -Naur ./distinfo ../mpdas/distinfo
--- ./distinfo	2009-10-11 15:21:56.000000000 +0200
+++ ../mpdas/distinfo	2009-10-11 15:22:16.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (mpdas-0.2.4.tar.bz2) = 8a694691dcb5d217c46754e40152186a
-SHA256 (mpdas-0.2.4.tar.bz2) =
a3535cf94ba3856b28d271e265ba0131a84eb9c2d660643c3f4e88d3b473e0bc
-SIZE (mpdas-0.2.4.tar.bz2) = 16842
+MD5 (mpdas-0.2.5.tar.bz2) = ea852645079be1aeedfe3e88f421917e
+SHA256 (mpdas-0.2.5.tar.bz2) =
e8ce00df8aa0cbbf5709d1e22ceb1f609dbd7309aed7ffd0083cc0ff5b463e21
+SIZE (mpdas-0.2.5.tar.bz2) = 17849
diff -Naur ./files/mpdas.in ../mpdas/files/mpdas.in
--- ./files/mpdas.in	1970-01-01 01:00:00.000000000 +0100
+++ ../mpdas/files/mpdas.in	2009-10-11 15:24:03.000000000 +0200
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+
+# PROVIDE: mpdas
+# REQUIRE: musicpd
+# KEYWORD: shutdown
+
+# Add the following line to /etc/rc.conf to enable mpdas:
+#
+#mpdas_enable="YES"
+
+. %%RC_SUBR%%
+
+name=mpdas
+rcvar=`set_rcvar`
+
+command=%%PREFIX%/bin/mpdas
+
+load_rc_config $name
+
+: ${mpdas_enable="NO"}
+
+command_args="&"
+
+run_rc_command "$1"
diff -Naur ./files/pkg-message.in ../mpdas/files/pkg-message.in
--- ./files/pkg-message.in	1970-01-01 01:00:00.000000000 +0100
+++ ../mpdas/files/pkg-message.in	2009-10-11 15:22:16.000000000 +0200
@@ -0,0 +1,28 @@
+****************************************************************
+
+mpdas has been successfully installed.
+
+To configure mpdas, simply create a file called .mpdasrc in
+your home directory or in %%PREFIX%%/etc/mpdasrc.
+
+Syntax is easy. Example:
+
+username = lastfmuser
+password = 5f4dcc3b5aa765d61d8327deb882cf99
+
+Use the runas variable to change the UID the process runs in.
+
+For more information on configuration see:
+http://50hz.ws/mpdas/README.txt
+
+To use the rc-script add the following line to /etc/rc.conf:
+
+	mpdas_enable="YES"
+
+Then start mpdas with
+
+	%%PREFIX%%/etc/rc.d/mpdas start
+
+or reboot.
+
+****************************************************************
--- mpdas.diff ends here ---
Comment 5 Henrik Friedrichsen 2009-10-11 14:53:59 UTC
Thanks a lot miwi for pointing that one out.
Here's a diff with an improved rc.d script..

--- mpdas.diff begins here ---
diff -Naur ./Makefile ../mpdas/Makefile
--- ./Makefile	2009-10-11 15:21:56.000000000 +0200
+++ ../mpdas/Makefile	2009-10-11 15:22:16.000000000 +0200
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	mpdas
-PORTVERSION=	0.2.4
-PORTREVISION=	2
+PORTVERSION=	0.2.5
 CATEGORIES=	audio
 MASTER_SITES=	http://50hz.ws/mpdas/
 
@@ -20,9 +19,18 @@
 USE_GNOME=	pkgconfig
 USE_BZIP2=	yes
 
+USE_RC_SUBR=	mpdas
+
+SUB_FILES=	pkg-message
+
 PLIST_FILES=	bin/mpdas
 
 MAN1=		mpdas.1
 MANCOMPRESSED=	no
 
+post-install:
+	@${ECHO_MSG}
+	@${CAT} ${PKGMESSAGE}
+	@${ECHO_MSG}
+
 .include <bsd.port.mk>
diff -Naur ./distinfo ../mpdas/distinfo
--- ./distinfo	2009-10-11 15:21:56.000000000 +0200
+++ ../mpdas/distinfo	2009-10-11 15:22:16.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (mpdas-0.2.4.tar.bz2) = 8a694691dcb5d217c46754e40152186a
-SHA256 (mpdas-0.2.4.tar.bz2) = a3535cf94ba3856b28d271e265ba0131a84eb9c2d660643c3f4e88d3b473e0bc
-SIZE (mpdas-0.2.4.tar.bz2) = 16842
+MD5 (mpdas-0.2.5.tar.bz2) = ea852645079be1aeedfe3e88f421917e
+SHA256 (mpdas-0.2.5.tar.bz2) = e8ce00df8aa0cbbf5709d1e22ceb1f609dbd7309aed7ffd0083cc0ff5b463e21
+SIZE (mpdas-0.2.5.tar.bz2) = 17849
diff -Naur ./files/mpdas.in ../mpdas/files/mpdas.in
--- ./files/mpdas.in	1970-01-01 01:00:00.000000000 +0100
+++ ../mpdas/files/mpdas.in	2009-10-11 15:24:03.000000000 +0200
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+
+# PROVIDE: mpdas 
+# REQUIRE: musicpd
+# KEYWORD: shutdown
+
+# Add the following line to /etc/rc.conf to enable mpdas:
+#
+#mpdas_enable="YES"
+
+. %%RC_SUBR%%
+
+name=mpdas
+rcvar=`set_rcvar`
+
+command=%%PREFIX%/bin/mpdas
+
+load_rc_config $name
+
+: ${mpdas_enable="NO"}
+
+command_args="&"
+
+run_rc_command "$1"
diff -Naur ./files/pkg-message.in ../mpdas/files/pkg-message.in
--- ./files/pkg-message.in	1970-01-01 01:00:00.000000000 +0100
+++ ../mpdas/files/pkg-message.in	2009-10-11 15:22:16.000000000 +0200
@@ -0,0 +1,28 @@
+****************************************************************
+
+mpdas has been successfully installed.
+
+To configure mpdas, simply create a file called .mpdasrc in 
+your home directory or in %%PREFIX%%/etc/mpdasrc. 
+
+Syntax is easy. Example:
+
+username = lastfmuser
+password = 5f4dcc3b5aa765d61d8327deb882cf99
+
+Use the runas variable to change the UID the process runs in.
+
+For more information on configuration see:
+http://50hz.ws/mpdas/README.txt
+
+To use the rc-script add the following line to /etc/rc.conf:
+
+	mpdas_enable="YES"
+
+Then start mpdas with
+
+	%%PREFIX%%/etc/rc.d/mpdas start
+
+or reboot.
+
+****************************************************************
--- mpdas.diff ends here ---
Comment 6 Henrik Friedrichsen 2009-10-11 15:01:45 UTC
Stupid line wrapping. Here comes #2: http://50hz.ws/patches/mpdasn.txt
Comment 7 dfilter service freebsd_committer 2009-10-17 16:37:18 UTC
itetcu      2009-10-17 15:37:04 UTC

  FreeBSD ports repository

  Modified files:
    audio/mpdas          Makefile distinfo 
  Log:
  Update to mpdas-0.2.5 which comes with a fixed Makefile to allow different
  PREFIX settings. It also has a few bugfixes and now installs an rc.d script.
  
  PR:             139477
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.7       +10 -2     ports/audio/mpdas/Makefile
  1.5       +3 -3      ports/audio/mpdas/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2009-10-17 16:38:07 UTC
itetcu      2009-10-17 15:37:59 UTC

  FreeBSD ports repository

  Added files:
    audio/mpdas/files    mpdas.in pkg-message.in 
  Log:
  Add forgotten files for previous comit:
   Update to mpdas-0.2.5 which comes with a fixed Makefile to allow different
   PREFIX settings. It also has a few bugfixes and now installs an rc.d script.
  
   PR:             139477
   Submitted by:   maintainer
  
  Revision  Changes    Path
  1.1       +25 -0     ports/audio/mpdas/files/mpdas.in (new)
  1.1       +28 -0     ports/audio/mpdas/files/pkg-message.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-10-17 16:38:16 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!